# JavaScript Cypress Example

Licensed under the MIT License. See file [LICENSE](./LICENSE).

[Cypress](https://www.cypress.io/) web testing example. Example includes code written in JavaScript and TypeScript.

## Cypress

Installation

    npm init
    npm install --save-dev typescript
    npm install --save-dev cypress

## BDD / Gherkin

    npm install --save-dev @badeball/cypress-cucumber-preprocessor
    npm install --save-dev @bahmutov/cypress-esbuild-preprocessor

Test

    npm run test

## Links

* Cypress
  * [Community](https://discord.com/channels/755913899261296641/)
  * [cypress-cucumber-preprocessor](https://github.com/badeball/cypress-cucumber-preprocessor) plugin for BDD / Gherkin support
  * [Documentation](https://docs.cypress.io/)
  * [Kitchen Sink](https://example.cypress.io/)
* General
  * [JavaScript - MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript)
  * [TypeScript](https://www.typescriptlang.org/)
  * [TypeScript Community](https://discord.com/channels/508357248330760243/)
  * [Web Development Examples](https://gitlab.com/mneifercons/javascript/examples)

## Tasks

- Nil
